C-----------------------------------------------------------------------------
      SUBROUTINE RHORIZ
C-----------------------------------------------------------------------------
C 10 Mar 2008 - corrected length errors in blank common
C-----------------------------------------------------------------------------
C     RECEIVER MODEL USING FIXED OFFSET TO EARTHR'S SURFACE
C     COMMON DECK "RR" INSERTED HERE     
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      DOUBLE PRECISION MODREC
      COMMON/RR/ MODREC(4)               
      COMMON/RR/F,PFR,PFRR,PFRTH,PFRPH   
      COMMON/RR/PFTH,PFPH,PFTHTH,PFPHPH,PFTHPH,FSELECT,FTIME
C     COMMON DECK "WW" INSERTED HERE                        
      COMMON/WW/ dum(10), MAXW,W(1000)
C     RECEIVER HEIGHT   275-299
      COMMON//R,TH,PH,KR,KTH,KPH,RKVARS(14),TPULSE,CSTEP,DRDT(20)
      double precision kr,kth,kph                                  ! 10 Mar 2008
C     COMMON DECK "B8" INSERTED HERE                 
      INTEGER RMX,RNTBL,RITBL,RFRMTBL,IDSR(20)       
      COMMON/B8/RMX,RNTBL(10),RITBL(10),RFRMTBL(10),RGP(10) 
      EQUIVALENCE (RGP,IDSR)                
      INTEGER RPX    ,RQTBL(10),RLTBL(10),RIRMTBL(10)   
      DATA RPX/1/              
      DATA RQTBL/1,11,8*0/     
      DATA RLTBL/1,9*0/        
      DATA RIRMTBL/1,9*0/      
C
      ENTRY SETRCV     
      RMX=RPX          
      CALL IMOVE(RNTBL,RQTBL,10)         
      CALL IMOVE(RITBL,RLTBL,10)         
      CALL IMOVE(RFRMTBL,RIRMTBL,10)     
      RETURN                             
C                                        
      ENTRY IRECVR                       
      IF(W(275) .NE. 1.) THEN
           PRINT*,' Model check number mismatch: '
           STOP ' W(275) should be 1 if you are using model RHORIZ.'
      ENDIF

      MODREC(1)=8HRHORIZ  
      MODREC(2)= w(277)
      RETURN              
C                         
      ENTRY RECEVER       
      F=R-W(1)-W(20)      
      PFR=1.d0            
      CALL CLEAR(PFRR,8)  
      END                 
